Name:           transmission
Version:        2.84
Release:        1%{?dist}
Summary:        A lightweight GTK+ BitTorrent client
Group:          Applications/Internet
# See COPYING. This licensing situation is... special.
License:        MIT and GPLv2
URL:            http://www.transmissionbt.com/
Source0:		http://mirrors.m0k.org/transmission/files/transmission-%{version}.tar.xz
Source1:        transmission-daemon-init
Source2:        transmission-daemon-sysconfig
Source3:		transmission-daemon-logrotate
Source4:		transmission-password
BuildRequires:  openssl-devel >= 0.9.4
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  curl-devel >= 7.18.0
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  gtk2-devel >= 2.6.0
#BuildRequires:  libevent2-devel >= 2.0.10
BuildRequires:  GConf2-devel
# Disable translations for now -- requires more recent version of intltool 
# ./configure --disable-nls
#BuildRequires:  gettext intltool
BuildRoot: /%{_tmppath}/%{name}-%{version}-%{release}-root
#Patch1:         transmission-1.92-rhel5.patch
Requires: transmission-cli
Requires: transmission-daemon
Requires: logrotate

%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.

%package common
Summary:       Transmission common files
Group:         Applications/Internet
Requires:      libevent2 >= 2.0.10
Conflicts:     transmission < 1.80-0.3.b4
%description common
Common files for Transmission BitTorrent client sub-packages. It includes 
the web user interface, icons and transmission-remote utility.

%package cli
Summary:       Transmission command line implementation
Group:         Applications/Internet
Requires:      transmission-common
Provides:      transmission = %{version}-%{release}
%description cli
Command line version of Transmission BitTorrent client.

#%package gtk
#Summary:       Transmission GTK implementation
#Group:         Applications/Internet
#Requires:      transmission-common
#Provides:      transmission = %{version}-%{release}
#%description gtk
#GTK version of Transmission BitTorrent client.

%package daemon
Summary:       Transmission daemon
Group:         Applications/Internet
Requires:      transmission-common
Requires(pre): shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
Provides:      transmission = %{version}-%{release}
%description daemon
Transmission BitTorrent client daemon.

%pre daemon
getent group transmission >/dev/null || groupadd -r transmission
getent passwd transmission >/dev/null || \
useradd -r -g transmission -d /var/lib/transmission -s /sbin/nologin \
        -c "transmission daemon account" transmission
exit 0

%prep
%setup -q 
#%patch1 -p1

%build
#export PKG_CONFIG_PATH="$HOME/opt/libevent/lib/pkgconfig" 
export HAVE_CXX=yes
%configure \
        CXX=/usr/bin/g++ \
        CC=/usr/bin/gcc \
        CFLAGS=-lstdc++ \
        --disable-static \
        --enable-nls \
        --disable-libcanberra \
        --disable-libnotify \
        --enable-daemon \
        --enable-utp \
        --enable-cli

# compile qt client
#cd qt && qmake qtr.pro && make

make %{?_smp_mflags}



%install
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_localstatedir}/lib/transmission
mkdir -p %{buildroot}%{_localstatedir}/log/transmission

install -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/transmission-daemon
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/transmission-daemon
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/transmission-daemon
install -m755 %{SOURCE4} %{buildroot}%{_bindir}/transmission-password

make install DESTDIR=%{buildroot}

#%find_lang %{name}

%clean
rm -rf %{buildroot}

%post daemon
/sbin/chkconfig --add transmission-daemon

#%post gtk
#update-desktop-database > /dev/null 2>&1 || :

%preun daemon
if [ $1 = 0 ] ; then
    /sbin/service transmission-daemon stop >/dev/null 2>&1
    /sbin/chkconfig --del transmission-daemon
fi

%postun daemon
if [ "$1" -ge "1" ] ; then
    /sbin/service transmission-daemon condrestart >/dev/null 2>&1 || :
fi

#%postun gtk
#update-desktop-database > /dev/null 2>&1 || :

%files 

%files common 
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/transmission-remote
%{_datadir}/transmission/web/
%doc %{_mandir}/man1/transmission-remote*

%files cli 
%defattr(-, root, root, -)
%{_bindir}/transmission-cli
%{_bindir}/transmission-create
%{_bindir}/transmission-edit
%{_bindir}/transmission-show
%doc %{_mandir}/man1/transmission-cli*
%doc %{_mandir}/man1/transmission-create*
%doc %{_mandir}/man1/transmission-edit*
%doc %{_mandir}/man1/transmission-show*

#%files gtk
#%defattr(-, root, root, -)
#%{_bindir}/transmission-gtk
#%doc %{_mandir}/man1/transmission-gtk.1.gz
#%{_datadir}/pixmaps/transmission.png
#%{_datadir}/applications/transmission-gtk.desktop
#%{_datadir}/icons/hicolor/16x16/apps/transmission.png
#%{_datadir}/icons/hicolor/22x22/apps/transmission.png
#%{_datadir}/icons/hicolor/24x24/apps/transmission.png
#%{_datadir}/icons/hicolor/256x256/apps/transmission.png
#%{_datadir}/icons/hicolor/32x32/apps/transmission.png
#%{_datadir}/icons/hicolor/48x48/apps/transmission.png
#%{_datadir}/icons/hicolor/scalable/apps/transmission.svg
#%{_datadir}/locale/*/LC_MESSAGES/transmission-gtk.mo



%files daemon
%defattr(-, root, root, -)
%{_bindir}/transmission-daemon
%{_bindir}/transmission-password
%{_sysconfdir}/logrotate.d/transmission-daemon
%{_sysconfdir}/rc.d/init.d/transmission-daemon
%config %{_sysconfdir}/sysconfig/transmission-daemon
%dir %attr(-,transmission, transmission)%{_localstatedir}/lib/transmission/
%dir %attr(-,transmission, transmission)%{_localstatedir}/log/transmission/
%doc %{_mandir}/man1/transmission-daemon*

%changelog
* Sun Dec 28 2014 Marco Spallacci <marco.spallacci@gmail.com> - 2.84-1
- build 2.84
* Wed Apr 02 2013 Marco Spallacci <marco.spallacci@gmail.com> - 2.82-1
- build 2.82
- sysconfig transmission-daemon as %config
* Sun Jan 20 2013 Marco Spallacci <marco.spallacci@gmail.com> - 2.76-1
- build 2.76
* Sun Oct 04 2012 Marco Spallacci <marco.spallacci@gmail.com> - 2.71-1
- build 2.71
- removed "-b -t -a \"*.*.*.*\" from DAEMON_ARGS in init script
- logrotate script with copytruncate and kill -HUP
* Tue Jul 31 2012 Marco Spallacci <marco.spallacci@gmail.com> - 2.61-1
- build 2.61
* Sun Jul 22 2012 Marco Spallacci <marco.spallacci@gmail.com> - 2.60-1
- build 2.60
* Sat Mar 24 2012 Marco Spallacci <marco.spallacci@gmail.com> - 2.50-1
- build 2.50
* Sun Dec 11 2011 Marco Spallacci <marco.spallacci@gmail.com> - 2.42-1
- build 2.42 without gtk support
- force uTP enable
